function [CMI,DMI,MMI,CMO,DMO,MMO,MMIO] = DisplayLoopmargin(G,C)

[ny, nu] = size(G);
[CMI,DMI,MMI,CMO,DMO,MMO,MMIO] = loopmargin(G,C);
%[NCFMARG,NCFFREQ] = ncfmargin(G,C);

% Display Input Margins
for ii=1:nu
    PM = abs(CMI(ii).PhaseMargin);
    DM = CMI(ii).DelayMargin;
    GM = db(CMI(ii).GainMargin);
    fprintf(['Perturbation at Input ' int2str(ii) ' ("' G.InputName{ii} '")\n'])
    for jj=1:size(GM,2)
    fprintf('\t Gain Margin: \t %3.2f dB \t\t\t\t\t at %3.1f rad/s\n',GM(jj),CMI(ii).GMFrequency(jj))
    end
    for jj=1:size(PM,2)
    fprintf('\t Phase Margin: \t %3.2f degrees \t\t\t\t at %3.1f rad/s\n',PM(jj),CMI(ii).PMFrequency(jj))
    end
    for jj=1:size(DM,2)
    fprintf('\t Delay Margin: \t %3.4f seconds \t\t\t\t at %3.1f rad/s\n',DM(jj),CMI(ii).DMFrequency(jj))
    end
    fprintf('\t Disk Margin: \t %3.2f degrees / %2.2f dB \t at %3.1f rad/s\n',DMI(ii).PhaseMargin(2),db(DMI(ii).GainMargin(2)),DMI(ii).Frequency)
end

% Display Output Margins
for ii=1:ny
    PM = abs(CMO(ii).PhaseMargin);
    DM = CMO(ii).DelayMargin;
    GM = db(CMO(ii).GainMargin);
    fprintf(['Perturbation at Output ' int2str(ii) ' ("' G.OutputName{ii} '")\n'])
    for jj=1:size(GM,2)
    fprintf('\t Gain Margin: \t %3.2f dB \t\t\t\t\t at %3.1f rad/s\n',GM(jj),CMO(ii).GMFrequency(jj))
    end
    for jj=1:size(PM,2)
    fprintf('\t Phase Margin: \t %3.2f degrees \t\t\t\t at %3.1f rad/s\n',PM(jj),CMO(ii).PMFrequency(jj))
    end 
    for jj=1:size(DM,2)
    fprintf('\t Delay Margin: \t %3.4f seconds \t\t\t\t at %3.1f rad/s\n',DM(jj),CMO(ii).DMFrequency(jj))
    end
    fprintf('\t Disk Margin: \t %3.2f degrees / %2.2f dB \t at %3.1f rad/s\n',DMO(ii).PhaseMargin(2),db(DMO(ii).GainMargin(2)),DMO(ii).Frequency)
end

% Display MultiInput/MultiOutput Margins
fprintf('Simultaneous Perturbation at Inputs and Outputs\n')
    fprintf('\t Multi Input Disk Margin: \t %2.2f degrees / %2.2f dB \t at %3.1f rad/s\n',MMI.PhaseMargin(2),db(MMI.GainMargin(2)),MMI.Frequency)
    fprintf('\t Multi Output Disk Margin: \t %2.2f degrees / %2.2f dB \t at %3.1f rad/s\n',MMO.PhaseMargin(2),db(MMO.GainMargin(2)),MMO.Frequency)
    fprintf('\t Multi IO Disk Margin: \t\t %2.2f degrees / %2.2f dB \t at %3.1f rad/s\n',MMIO.PhaseMargin(2),db(MMIO.GainMargin(2)),MMIO.Frequency)
    %fprintf('\t Gap Metric Margin: \t\t\t\t\t %2.2f \t\t\t at %3.1f rad/s\n',NCFMARG,NCFFREQ)
          